SchedulingRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: SchedulingRequestPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class SchedulingRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.SchedulingRequest
org.apache.hadoop.yarn.api.records.impl.pb.SchedulingRequestPBImpl

@Private @Unstable public class SchedulingRequestPBImpl extends org.apache.hadoop.yarn.api.records.SchedulingRequest
Proto implementation for `SchedulingRequest` interface.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.api.records.SchedulingRequest

  `org.apache.hadoop.yarn.api.records.SchedulingRequest.SchedulingRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchedulingRequestPBImpl()`
  `SchedulingRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.SchedulingRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `long`
  `getAllocationRequestId()`
  `Set<String>`
  `getAllocationTags()`
  `org.apache.hadoop.yarn.api.records.ExecutionTypeRequest`
  `getExecutionType()`
  `org.apache.hadoop.yarn.api.resource.PlacementConstraint`
  `getPlacementConstraint()`
  `org.apache.hadoop.yarn.api.records.Priority`
  `getPriority()`
  `org.apache.hadoop.yarn.proto.YarnProtos.SchedulingRequestProto`
  `getProto()`
  `org.apache.hadoop.yarn.api.records.ResourceSizing`
  `getResourceSizing()`
  `int`
  `hashCode()`
  `void`
  `setAllocationRequestId(long allocationRequestId)`
  `void`
  `setAllocationTags(Set<String> allocationTags)`
  `void`
  `setExecutionType(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest executionType)`
  `void`
  `setPlacementConstraint(org.apache.hadoop.yarn.api.resource.PlacementConstraint placementConstraint)`
  `void`
  `setPriority(org.apache.hadoop.yarn.api.records.Priority priority)`
  `void`
  `setResourceSizing(org.apache.hadoop.yarn.api.records.ResourceSizing resourceSizing)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.SchedulingRequest

  `newBuilder, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SchedulingRequestPBImpl

    public SchedulingRequestPBImpl()

  - ### SchedulingRequestPBImpl

    public SchedulingRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.SchedulingRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.SchedulingRequestProto getProto()

  - ### getAllocationRequestId

    public long getAllocationRequestId()
    Specified by:
      `getAllocationRequestId` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### setAllocationRequestId

    public void setAllocationRequestId(long allocationRequestId)
    Specified by:
      `setAllocationRequestId` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### getPriority

    public org.apache.hadoop.yarn.api.records.Priority getPriority()
    Specified by:
      `getPriority` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### setPriority

    public void setPriority(org.apache.hadoop.yarn.api.records.Priority priority)
    Specified by:
      `setPriority` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### getExecutionType

    public org.apache.hadoop.yarn.api.records.ExecutionTypeRequest getExecutionType()
    Specified by:
      `getExecutionType` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### setExecutionType

    public void setExecutionType(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest executionType)
    Specified by:
      `setExecutionType` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### getAllocationTags

    public Set<String> getAllocationTags()
    Specified by:
      `getAllocationTags` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### setAllocationTags

    public void setAllocationTags(Set<String> allocationTags)
    Specified by:
      `setAllocationTags` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### getResourceSizing

    public org.apache.hadoop.yarn.api.records.ResourceSizing getResourceSizing()
    Specified by:
      `getResourceSizing` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### setResourceSizing

    public void setResourceSizing(org.apache.hadoop.yarn.api.records.ResourceSizing resourceSizing)
    Specified by:
      `setResourceSizing` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### getPlacementConstraint

    public org.apache.hadoop.yarn.api.resource.PlacementConstraint getPlacementConstraint()
    Specified by:
      `getPlacementConstraint` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### setPlacementConstraint

    public void setPlacementConstraint(org.apache.hadoop.yarn.api.resource.PlacementConstraint placementConstraint)
    Specified by:
      `setPlacementConstraint` in class `org.apache.hadoop.yarn.api.records.SchedulingRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`